• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 382
  • Last Modified:

using mfc6/mfc5 dll in mfc4

Hi experts,
I want to use a lib/dll file built in msvc 6 in msvc 4, can anyone help please or any thoughts.
1 Solution
You'll have to load your project in MSVC 4.0. I'm sure you'll  run into problems when you load the project itself - so if this happens create a new project which you should designate as MFC DLL (or whatever) .. and simply copy the source files into the new directory and add them to your project (using the Classview/File tab on the left of your workspace).
akinboAuthor Commented:
Thanx for the reply,
I think I didn't quite ,make myself clear the first time, see, I managed to build the new project with the MSVC 5 compiled lib in MSVC 4, but the real problem comes when I tried to run this application on Win 3.1, as in Win32s, It came up with an error message MSVCRT.DLL is not compatible with Win32s, this is because of the included lib from MSVC 5.
Any suggestion
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Free Tool: IP Lookup

Get more info about an IP address or domain name, such as organization, abuse contacts and geolocation.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

Tackle projects and never again get stuck behind a technical roadblock.
Join Now